package com.style24.batch.biz.job.display;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.style24.batch.biz.job.TsbAbstractJob;
import com.style24.batch.biz.service.TsbDisplayService;

import lombok.extern.slf4j.Slf4j;

/**
 * 카테고리4SRCH 갱신
 *
 * @author gagamel
 * @since 2021. 4. 7
 */
@Component
@Slf4j
public class TsbCategory4SrchJob extends TsbAbstractJob<String, String, String> {

	@Autowired
	private TsbDisplayService displayService;

	@Override
	public String read() throws Exception {
		return "OK";
	}

	@Override
	public String process(String result) throws Exception {
		displayService.refreshCate4srch();
		return result;
	}

	@Override
	public String write(String result) throws Exception {
		return result;
	}

	@Override
	public void notify(String result) throws Exception {
		// Do nothing
	}

}
